Name:       mate-tweak
Summary:    Mate desktop configuration tool
Version:    21.10.0
Release:    %mkrel 5
URL:        https://github.com/ubuntu-mate/mate-tweak
License:    GPLv2+
Group:      Graphical desktop/MATE
Source0:    https://github.com/ubuntu-mate/%{name}/archive/mate-tweak-%{version}.tar.xz
Source1:    panel-layouts.tar.xz
Source2:    %{name}.desktop
Source3:    launch-%{name}
Patch0:     %{name}-%{version}-pclos.patch
Obsoletes:  %{name}
Provides:   %{name} = %{version}-%{release}
BuildRequires: %{_lib}python3-devel
BuildRequires: python3
BuildRequires: python3-setuptools
BuildRequires: python3-distutils-extra
BuildRequires: intltool
Requires: mate-menu
Requires: mate-indicator-applet
Requires: plank
Requires: mate-brisk-menu 
Requires: wmctrl
Requires: gksu
Requires: tilda
Requires: python3
Requires: python3-gobject3
Requires: python3-configobj
Requires: python3-psutil
Requires: python3-setproctitle
Requires: mate-applets
Requires: mate-panel

%description
Configures some aspects of the MATE desktop not exposed via the
MATE Control Center applets.

Settings that can be handled via MATE Tweak:
 * Show/hide standard desktop icons.
 * Panel fine-tuning (icon visibility, in menus and on buttons,
   icon size, button labelling, contex menus, etc.).
 * Window manager fine-tuning.

%prep
%setup -a 1
%apply_patches


%build
%{py3_build}

%install
%{py3_install}
mkdir -p %{buildroot}%{_datadir}/applications
install -m 755 %SOURCE2 %{buildroot}%{_datadir}/applications
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category='X-MandrivaLinux-System-Configuration-Other' \
  --dir %buildroot/%{_datadir}/applications %buildroot%{_datadir}/applications/mate-tweak.desktop
chmod 755 %buildroot%{_datadir}/applications/mate-tweak.desktop

# Install polkit policy
mkdir -p %{buildroot}%{_datadir}/polkit-1/actions
cp -f data/org.mate.mate-tweak.policy %{buildroot}%{_datadir}/polkit-1/actions

# Install panel layouts:
mkdir -p %{buildroot}%{_datadir}/mate-panel/layouts
cp -f panel-layouts/*.layout %{buildroot}%{_datadir}/mate-panel/layouts/

# launcher
install -m 755 %SOURCE3 %buildroot%{_bindir}
chmod a+x %buildroot%{_bindir}/launch-%{name}

%find_lang %{name}

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR

%files -f %{name}.lang
%doc README.md
%{_bindir}/%{name}
%{_bindir}/launch-%{name}
%{_bindir}/marco-compton
%{_bindir}/marco-no-composite
%{_datadir}/applications/*.desktop
%{_datadir}/mate-panel/layouts/
%{_datadir}/polkit-1/actions/org.mate.%{name}.policy
%{_mandir}/man1/mate-tweak.1*
%{_mandir}/man1/marco-compton.1*
%{_mandir}/man1/marco-no-composite.1*
%{python3_sitelib}/*egg-info
%{_prefix}/lib/mate-tweak/%{name}-helper
%{_prefix}/lib/mate-tweak/%{name}.ui
/usr/lib/python3.10/site-packages/setup.py

%changelog
* Fri Dec 09 2022 tex - 21.10.0-5pclos2022
- rebuild against updates

* Thu Dec 01 2022 tex - 21.10.0-4pclos2022
- dont delete mate panels

* Thu Dec 01 2022 tex - 21.10.0-3pclos2022
- rebuild against updates

* Tue Aug 02 2022 tex - 21.10.0-2pclos2022
- rebuild against updates

* Tue Feb 27 2020 ken - 21.10.0-1pclos2021
- update 
- added patches 
- pkexec won't work for custom setting - using gksu

* Tue Feb 27 2020 ken - 18.10.2-6pclos2020
- rebuild 
- added patches

* Tue Feb 18 2020 tex - 18.10.2-3pclos2020
- rebuild against updates

* Sat Mar 16 2019 tex 18.10.2-2pclos2019
- update
